package com.its.dsrc.dao.mapper;

import com.its.dsrc.entity.TbRseCtlr;
import com.its.dsrc.entity.TbRseCtlrStts;
import com.its.dsrc.entity.TbRseCtrlHs;
import com.its.dsrc.entity.TbRseObuNonCrypt;
import com.its.dsrc.entity.TbRseCtlrCnncHs;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface RseCtlrMapper {

    List<TbRseCtlr> selectAll();
    List<TbRseCtlrStts> selectRseCtlrStts();
    List<TbRseObuNonCrypt> selectRseObuNonCryptList();
    int updateRseCtlrStts(@Param("obj") TbRseCtlrStts obj);
    int insertRseCtlrSttsHs(@Param("obj") TbRseCtlrStts obj);
    int insertRseCtlrCnncHs(@Param("obj") TbRseCtlrCnncHs obj);     // 접속이력
    int insertRseCtrlHs(@Param("obj") TbRseCtrlHs obj);             // 제어이력

    int updateRseCtlrSttsList(@Param("list") List list);    // Not Use

    int updateRseCtrlHs(@Param("obj") TbRseCtrlHs obj);
}
